// Test case testing the workqueue optimization that tracks locations read and written to avoid reprocessing.
class C {
    public static void main(String[] args) { 
	foo(); // processing is delayed
	new C();
    }

    static String t, u;
    String s;
    C() { // this should only every need to be analyzed once for each context, even though other locations may be created.
	s = new String("Hi");
    }
    static void foo() {
	// modify the heap
	t = "Hello";
	bar();
    }
    static void bar() {
	// modify the heap
	u = "World";
    }
}